Linking Contacts with a Ticket

POST https://app.alaaqat.com/api/tickets/{_id}/attach-contacts

Where _id is the ticket's identifier.

Relationship between Ticket and Contact

contact_ids is an array used to link contacts in tickets.

Header

Accept: application/json

Body

internal_name : value

{
  "contact_ids": [
    "6692950d963ee0713f0997f3"
  ]
}

Response

The return type will always be attached Contacts.

{
    "data": [
        {
            "properties": {
                "_id": "6692950d963ee0713f0997f3",
                "account_id": 1,
                "firstname": "Layla",
                "lastname": "Nasser",
                "email": "layla.nasser@example.com",
                "fullname": "Layla Nasser",
                "image": null,
                "account": {
                    "id": 1,
                    "name": "test",
                    "created_at": "2024-07-11T16:45:07.000000Z",
                    "updated_at": "2024-07-11T16:45:07.000000Z",
                    "industry": "Accounting",
                    "logo": null,
                    "address": null,
                    "timeZone": null,
                    "calendar": null,
                    "hour12": null,
                    "locale": null,
                    "currency": null
                }
            },
            "channels": []
        }
    ]
}


Unlinking a Contact from a Ticket


POST https://app.alaaqat.com/api/tickets/{_id}/detach-contact

Where _id is the ticket's identifier.

Header

Accept: application/json

Body

internal_name : value

{
  "contact_id":"6692950d963ee0713f0997f3"
}

Response

The return type will always be Ticket.

{
    "data": {
        "properties": {
            "_id": "669867025b6b9ecd2e0aa1e6",
            "ticket_name": "test",
            "desc": "test text",
            "category": "general_inquiry",
            "source": "source_manual",
            "updated_at": "2024-07-18T01:09:47.058000Z",
            "created_at": "2024-07-18T00:51:14.058000Z",
            "contacts_count": null
        }
    },
    "message": "Entity was modified Successfully"
}